#
# spec file for package qlipper
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           qlipper
Version:        5.1.2
Release:        2.3
Summary:        Clipboard history applet
License:        GPL-2.0-or-later
Group:          Productivity/Text/Utilities
URL:            https://github.com/pvanek/qlipper
Source:         https://github.com/pvanek/qlipper/archive/%{version}.tar.gz
BuildRequires:  cmake >= 3.1.0
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  libQt5Gui-private-headers-devel
BuildRequires:  pkgconfig
BuildRequires:  cmake(lxqt-build-tools) >= 0.5.0
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
%endif

%description
A clipboard history applet.

%lang_package

%prep
%setup -q

%build
%cmake \
    -DENABLE_LXQT_AUTOSTART=ON
make %{?_smp_mflags}

%install
%cmake_install
%if 0%{?suse_version}
%suse_update_desktop_file -r -u %{name} Utility DesktopUtility
%endif

%find_lang %{name} --with-qt

%files
%license COPYING
%doc CHANGELOG README
%{_sysconfdir}/xdg/autostart/lxqt-%{name}-autostart.desktop
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%files lang -f %{name}.lang
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations

%changelog
* Wed Oct 30 2024 Shawn Dunn <sfalken@opensuse.org>
- Change BuildRequires from lxqt-build-tools-devel to
  cmake(lxqt-build-tools)
* Wed Feb 10 2021 Wang Jun <jgwang@suse.com>
- Update to version 5.1.2
  * Added clearing history confirmation
  * Fixed FTBFS for clipboard sharing
  * Translation improvements
* Thu Jan 31 2019 Michael Vetter <mvetter@suse.com>
- BuildRequires:  lxqt-build-tools-devel >= 0.5.0
- Clean up spec
* Wed Aug  8 2018 jengelh@inai.de
- Remove redundancies from description.
* Mon May 21 2018 mvetter@suse.com
- Require lxqt-build-tools-devel >= 0.4.0
* Sun May 20 2018 mvetter@suse.com
- Update to 5.1.1:
  * Support lxqt-session and add necessary xdg autostart desktop entry files.
  * Allow only one instance of application
  * Clean up dialoges
  * Bug fixes
  * Update translations
  * systray: Don't display clipboard items in context menu
- Remove _service file
- Remove icon cache update
* Wed Jan 10 2018 and.november@opensuse.org
- update to version 5.1.1
